/* Before adding any unnecessary CSS rules, please check out the Snap documentation at https://bit.ly/3PqSii8. */
/* Override Styles */
/*
.service-style-1 h2 {margin: 10px 0;}
.ry-menu .ry-nav li .dropdown-toggle {padding: 30px 0;}
ul#quick-links li a {display: block;width: 100%;}
#in-services-3 ul li a {margin-left: 0px;margin-top:30px}
*/
[x-cloak] { display: none !important; }
.promotions img { min-width: 22rem; max-width:22rem;}
#in-services-style-2.squares .ry-each:before, #in-services-style-2.squares .ry-each img {border-radius: 0;}
.mobile-menu-icon a{display: flex;height: 100%;width: 100%;justify-content: center;align-items: center;}
body.fancybox-active .ry-sticky-menu.fixed {z-index: 9999;}
.testimonials-swiper p,
.testimonials-swiper-2 p{
overflow: hidden;
display: -webkit-box;
-webkit-box-orient: vertical;
-webkit-line-clamp: 4
}
.service-hover {
    position: absolute;
    z-index: 9;
    opacity: 0;
    transition: opacity 0.3s ease;
    text-align: center;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    color: white;
}

/* Show service-hover when parent with data-target is hovered */
[data-target]:hover .service-hover {
    opacity: 1;
}

/* Apply the overlay effect when parent is hovered */
[data-target]:hover .service-hover::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    z-index: -1; /* Make sure it's behind the text */
}
.mm-navbar {
	color: #ffffff;
}

/* HP Edits - Started <June 29, 2026> */

/**/
	/*fonts*/

	/*btns*/

/*Modal*/
/* Header */
	/**/
.snap-mobile-menu {
    background: white;
}

mm-burger {
    color: #374151;
}
.ry-menu .ry-nav li.primary .caret {
    border-color: #374151;
}

.ry-menu .ry-nav li.primary:hover .caret {
    border-color: var(--color-secondary-background);
}
.with-gradient:before {
    background-image: linear-gradient(to bottom, white, transparent, #000000a8);
}
.ry-menu .ry-nav li.dropdown .dropdown-menu li {
    background: var(--color-primary-background);
    color: var(--color-primary-text);
}

.cta-btn {
    background: var(--color-primary-background);
}
/* Hero */
	/**/
#hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
    height: 100vh !important;
    object-fit: cover;
}
#hp-slider .swiper-pagination-bullet {
    background-color: white;
}
.slider-info {
    min-height: fit-content;
}

/* CTA */
	/**/
.cta-section.style-1:hover::before {
    content: none;
}

/* Welcome */
	/**/
#hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
    height: 100% !important;
}

#hp-welcome-1 .background-section, #hp-welcome-1 .background-section img {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    object-fit: cover;
}

/* Services */
	/**/

.ry-services.style2 .ry-content .content {
    max-width: 780px;
    padding-top: 40px;
}

#section-hp-services {
    padding-top: 10vw;
}

.ry-services.style2 .ry-each .photo:before {
    background: var(--color-primary-background);
}

.ry-services.style2 .ry-each .photo img {
    z-index: 2;
    filter: invert(1);
    height: 50%;
    width: 50%;
    left: 25%;
    top: 10%;
}
.ry-services.style2 .ry-each .photo:after {
    background: var(--color-secondary-background);
    opacity: 1;
}

.ry-services.style2 .ry-each .button-svg {
    background: var(--color-primary-background);
}

.ry-services.style2 .ry-each .each-block:hover .photo img {
    opacity: 0.2;
}
/* Meet the Team */
	/**/
/* Insurance */
	/**/
#hp-insurance-1 .overflow-hidden {
    padding: 0;
}

#hp-insurance-1 .swiper-slide {
    background: none;
}
.brand-4-swiper-button-next, .brand-4-swiper-button-prev {
    background-color: var(--color-primary-text);
    color: #374151;
}
/* Brand */
	/**/
/* Request Appointment */
	/**/
/* Testimonials */
	/**/
/* Footer */
	/**/
/*Media Queries*/
	/**/
@media (max-width:1080px){
    .ry-services.style2 .each-block .photo {
        border-radius: 0;
    }
    
    .ry-services.style2 .each-block:nth-child(odd) .photo:before {
        background: var(--color-secondary-background);
        height: 100%;
    }
    
    .ry-services.style2 .each-block:nth-child(even) .photo:before {
        background: var(--color-primary-background);
        height: 100%;
    }

    .ry-services.style2 .each-block .photo img{
        border-radius: 0;
        z-index: 2;
        filter: invert(1);
        height: 50%;
        width:50%;
        left: 25%;
        top: 10%;
    }

    .ry-services.style2 .each-block .title {
        line-height: 1.1;
    }

    .ry-services.style2 .button-wrapper {
        padding-top: 40px;
    }
    
    #hp-insurance-1 {
        padding: 6.6vh 0;
    }
}
@media (width < 1080px) {
  #section-hp-services:before,
  .module-19.style2:before,
  .ry-services.style2::before {
    opacity: 1;
  }
}

@media (min-width: 768px) {
    .slider-info-center-bottom {
        bottom: 5%;
    }
}
/* End - HP Edits*/

#navigation .bg-primary-background {
	background-color: #fff !important;
}

body[data-page-name="contact-us"] #footer-map {
	display: none;
}

body[data-page-name="contact-us"] #ry-footer-3 {
	padding-top: 220px;
}

.ry-menu a {
    text-transform: uppercase;
    font-size: 16px;
}